package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 服务DTO对象[IBIZSample0009DTO]
 */
@Data
@ApiModel("商品价格明细")
public class IBIZSample0009DTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    @ApiModelProperty("更新时间")
    private Timestamp updatedate;

    /**
     * 属性 [DATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "date" , format="yyyy-MM-dd")
    @JsonProperty("date")
    @ApiModelProperty("日期")
    private Timestamp date;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    @ApiModelProperty("建立人")
    private String createman;

    /**
     * 属性 [SP]
     *
     */
    @JSONField(name = "sp")
    @JsonProperty("sp")
    @ApiModelProperty("收盘")
    private BigDecimal sp;

    /**
     * 属性 [IBIZSAMPLE0009NAME]
     *
     */
    @JSONField(name = "ibizsample0009name")
    @JsonProperty("ibizsample0009name")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    @ApiModelProperty("商品价格明细名称")
    private String ibizsample0009name;

    /**
     * 属性 [IBIZSAMPLE0009ID]
     *
     */
    @JSONField(name = "ibizsample0009id")
    @JsonProperty("ibizsample0009id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    @ApiModelProperty("商品价格明细标识")
    private String ibizsample0009id;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    @ApiModelProperty("建立时间")
    private Timestamp createdate;

    /**
     * 属性 [SPMC]
     *
     */
    @JSONField(name = "spmc")
    @JsonProperty("spmc")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    @ApiModelProperty("商品名称")
    private String spmc;

    /**
     * 属性 [PD]
     *
     */
    @JSONField(name = "pd")
    @JsonProperty("pd")
    @ApiModelProperty("盘低")
    private BigDecimal pd;

    /**
     * 属性 [TJ]
     *
     */
    @JSONField(name = "tj")
    @JsonProperty("tj")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    @ApiModelProperty("统计")
    private String tj;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    @ApiModelProperty("更新人")
    private String updateman;

    /**
     * 属性 [PG]
     *
     */
    @JSONField(name = "pg")
    @JsonProperty("pg")
    @ApiModelProperty("盘高")
    private BigDecimal pg;

    /**
     * 属性 [KP]
     *
     */
    @JSONField(name = "kp")
    @JsonProperty("kp")
    @ApiModelProperty("开盘")
    private BigDecimal kp;


    /**
     * 设置 [DATE]
     */
    public void setDate(Timestamp  date){
        this.date = date ;
        this.modify("date",date);
    }

    /**
     * 设置 [SP]
     */
    public void setSp(BigDecimal  sp){
        this.sp = sp ;
        this.modify("sp",sp);
    }

    /**
     * 设置 [IBIZSAMPLE0009NAME]
     */
    public void setIbizsample0009name(String  ibizsample0009name){
        this.ibizsample0009name = ibizsample0009name ;
        this.modify("ibizsample0009name",ibizsample0009name);
    }

    /**
     * 设置 [SPMC]
     */
    public void setSpmc(String  spmc){
        this.spmc = spmc ;
        this.modify("spmc",spmc);
    }

    /**
     * 设置 [PD]
     */
    public void setPd(BigDecimal  pd){
        this.pd = pd ;
        this.modify("pd",pd);
    }

    /**
     * 设置 [PG]
     */
    public void setPg(BigDecimal  pg){
        this.pg = pg ;
        this.modify("pg",pg);
    }

    /**
     * 设置 [KP]
     */
    public void setKp(BigDecimal  kp){
        this.kp = kp ;
        this.modify("kp",kp);
    }


}


