package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 服务DTO对象[IBIZSample0016DTO]
 */
@Data
@ApiModel("项目成员")
public class IBIZSample0016DTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    @ApiModelProperty("建立人")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    @ApiModelProperty("更新时间")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    @ApiModelProperty("更新人")
    private String updateman;

    /**
     * 属性 [IBIZSAMPLE0016ID]
     *
     */
    @JSONField(name = "ibizsample0016id")
    @JsonProperty("ibizsample0016id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    @ApiModelProperty("项目成员标识")
    private String ibizsample0016id;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    @ApiModelProperty("建立时间")
    private Timestamp createdate;

    /**
     * 属性 [IBIZSAMPLE0016NAME]
     *
     */
    @JSONField(name = "ibizsample0016name")
    @JsonProperty("ibizsample0016name")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    @ApiModelProperty("项目成员名称")
    private String ibizsample0016name;

    /**
     * 属性 [IBIZSAMPLE0015NAME]
     *
     */
    @JSONField(name = "ibizsample0015name")
    @JsonProperty("ibizsample0015name")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    @ApiModelProperty("项目名称")
    private String ibizsample0015name;

    /**
     * 属性 [IBIZSAMPLE0014NAME]
     *
     */
    @JSONField(name = "ibizsample0014name")
    @JsonProperty("ibizsample0014name")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    @ApiModelProperty("员工名称")
    private String ibizsample0014name;

    /**
     * 属性 [IBIZSAMPLE0015ID]
     *
     */
    @JSONField(name = "ibizsample0015id")
    @JsonProperty("ibizsample0015id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    @ApiModelProperty("项目标识")
    private String ibizsample0015id;

    /**
     * 属性 [IBIZSAMPLE0014ID]
     *
     */
    @JSONField(name = "ibizsample0014id")
    @JsonProperty("ibizsample0014id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    @ApiModelProperty("员工标识")
    private String ibizsample0014id;


    /**
     * 设置 [IBIZSAMPLE0016NAME]
     */
    public void setIbizsample0016name(String  ibizsample0016name){
        this.ibizsample0016name = ibizsample0016name ;
        this.modify("ibizsample0016name",ibizsample0016name);
    }

    /**
     * 设置 [IBIZSAMPLE0015ID]
     */
    public void setIbizsample0015id(String  ibizsample0015id){
        this.ibizsample0015id = ibizsample0015id ;
        this.modify("ibizsample0015id",ibizsample0015id);
    }

    /**
     * 设置 [IBIZSAMPLE0014ID]
     */
    public void setIbizsample0014id(String  ibizsample0014id){
        this.ibizsample0014id = ibizsample0014id ;
        this.modify("ibizsample0014id",ibizsample0014id);
    }


}


